import getPatchmanifest from './ssn/getPatchmanifest';
import getSolidpkg from './ssn/getSolidpkg';
import readSsnFile from './ssn/readSsnFile';

(async () => {
  //----- PATCHMANIFEST -----
  //.patchmanifest files contain a single XML file called "manifest.xml"
  const patchmanifestBuffer = await getPatchmanifest('assets_swtor_de_de');
  console.log(patchmanifestBuffer.length, patchmanifestBuffer);

  const patchmanifestFiles = readSsnFile(patchmanifestBuffer);
  console.log(patchmanifestFiles);

  //----- SOLIDPKG -----
  //.solidpkg files contain a single Bencode file called "metafile.solid"
  const solidpkgBuffer = await getSolidpkg('assets_swtor_de_de', -1, 0);
  console.log(solidpkgBuffer.length, solidpkgBuffer);

  const solidPkgFiles = readSsnFile(solidpkgBuffer);
  console.log(solidPkgFiles);
})();
